Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class Sorter

    java.lang.Object
      org.apache.lucene.util.Sorter

Direct Known Subclasses:
  InPlaceMergeSorter, IntroSorter, TimSorter

    public abstract class Sorter

extends Object

Base class for sorting algorithms implementations.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`protected` | `Sorter()` Sole constructor, used for inheritance.

Method Summary
`protected abstract int` | `compare(int i, int j)` Compare entries found in slots `i` and `j`.
`abstract void` | `sort(int from, int to)` Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).
`protected abstract void` | `swap(int i, int j)` Swap values at slots `i` and `j`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sorter

    protected Sorter()

  Sole constructor, used for inheritance.

Method Detail

### compare

    protected abstract int compare(int i,
                                   int j)

  Compare entries found in slots `i` and `j`. The contract for the returned value is the same as `Comparator.compare(Object, Object)`.

### swap

    protected abstract void swap(int i,
                                 int j)

  Swap values at slots `i` and `j`.

### sort

    public abstract void sort(int from,
                              int to)

  Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.